Name:           perl-Class-Whitehole
Version:        0.04
Release:        3%{?dist}
Summary:        Base class to treat unhandled method calls as errors
Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Class-WhiteHole/
Source0:        http://search.cpan.org/CPAN/authors/id/M/MS/MSCHWERN/Class-WhiteHole-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.1
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
%{summary}.

%prep
%setup -q -n Class-WhiteHole-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/Class
%{_mandir}/man3/*.3*


%changelog
* Fri Sep 15 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.04-3
- bump for fc6

* Fri Jul  8 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.04-2
- cleanups

* Wed Jul  6 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.04-1
- Initial package for Fedora Extras
